For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList classes
      • GETGet class detail
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesClasses

Get class detail

GET
https://api.wynncraft.com/v3/classes/:class_name
GET
/v3/classes/:class_name
$curl https://api.wynncraft.com/v3/classes/archer
1{
2 "id": "archer",
3 "name": "Archer (Hunter)",
4 "lore": "Precision is the key to victory. The archer sits comfortably at range to decimate their enemies with powerful projectiles. Evading and dodging enemies attacks is crucial to the playstyle of this class. Archers dish out huge amounts of damage, but aren’t so adept at defending themselves.",
5 "overallDifficulty": 1,
6 "overallMax": 3,
7 "archetypes": {
8 "boltslinger": {
9 "name": "&e&lBoltslinger",
10 "difficulty": 1,
11 "max": 3,
12 "icon": "abilityTree.boltslinger",
13 "damage": 3,
14 "defence": 1,
15 "range": 2,
16 "speed": 3
17 },
18 "sniper": {
19 "name": "&d&lSharpshooter",
20 "difficulty": 2,
21 "max": 3,
22 "icon": "abilityTree.sharpshooter",
23 "damage": 3,
24 "defence": 1,
25 "range": 3,
26 "speed": 2
27 },
28 "trapper": {
29 "name": "&2&lTrapper",
30 "difficulty": 2,
31 "max": 3,
32 "icon": "abilityTree.trapper",
33 "damage": 2,
34 "defence": 2,
35 "range": 2,
36 "speed": 2
37 }
38 }
39}
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>SHARED</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note>
Was this page helpful?
Previous

List classes

Next

List map markers

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the SHARED rate-limit bucket. See Throttling and Rate Limits.

Path parameters

class_nameenumRequired
Allowed values:

Response

Class detail.
idstring
namestring
lorestring
overallDifficultyinteger
overallMaxinteger
archetypesmap from strings to objects

Errors

400
Bad Request Error
500
Internal Server Error